<?php

namespace app/Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class SuratDisposisi extends Model 
{

    protected $table = 'surat_disposisi';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('surat_masuk_id', 'pegawai_id', 'disposisi', 'keterangan', 'catatan');

    public function pegawai()
    {
        return $this->belongsTo('app/Models\Pegawai', 'pegawai_id');
    }

    public function surat_masuk()
    {
        return $this->belongsTo('app/Models\SuratMasuk', 'surat_masuk_id');
    }

}