<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Eloquent\Model;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('surat_masuk', function(Blueprint $table) {
			$table->foreign('surat_kategori_id')->references('id')->on('surat_ketegori')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('surat_masuk', function(Blueprint $table) {
			$table->foreign('surat_sifat_id')->references('id')->on('surat_sifat')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('pegawai', function(Blueprint $table) {
			$table->foreign('jabatan_id')->references('id')->on('jabatan')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('surat_disposisi', function(Blueprint $table) {
			$table->foreign('surat_masuk_id')->references('id')->on('surat_masuk')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
		Schema::table('surat_disposisi', function(Blueprint $table) {
			$table->foreign('pegawai_id')->references('id')->on('pegawai')
						->onDelete('restrict')
						->onUpdate('restrict');
		});
	}

	public function down()
	{
		Schema::table('surat_masuk', function(Blueprint $table) {
			$table->dropForeign('surat_masuk_surat_kategori_id_foreign');
		});
		Schema::table('surat_masuk', function(Blueprint $table) {
			$table->dropForeign('surat_masuk_surat_sifat_id_foreign');
		});
		Schema::table('pegawai', function(Blueprint $table) {
			$table->dropForeign('pegawai_jabatan_id_foreign');
		});
		Schema::table('surat_disposisi', function(Blueprint $table) {
			$table->dropForeign('surat_disposisi_surat_masuk_id_foreign');
		});
		Schema::table('surat_disposisi', function(Blueprint $table) {
			$table->dropForeign('surat_disposisi_pegawai_id_foreign');
		});
	}
}